# yamllint disable
# License: The GitLab Enterprise Edition (EE) license (the “EE License”)
# yamllint enable
---
rules:
- id: "java_deserialization_rule-JacksonUnsafeDeserialization"
  languages:
  - "java"
  severity: "WARNING"
  pattern: print("this is a test rule")
  message: |
    Test message
  metadata:
    shortDescription: "Java Unsafe Jackson Deserialization"
    category: "security"
    cwe: "CWE-502"
    technology:
    - "jackson"
    security-severity: "MEDIUM"
